Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1376365 (CVE-2016-7405) - CVE-2016-7405 php-adodb: Incorrect quoting may allow SQL injection
Summary: CVE-2016-7405 php-adodb: Incorrect quoting may allow SQL injection
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2016-7405
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1376366 1376367
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-15 08:41 UTC by Andrej Nemec
Modified: 2019-09-29 13:56 UTC (History)
3 users (show)

Fixed In Version: php-adodb 5.20.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:58:39 UTC
Embargoed:


Attachments (Terms of Use)

Description Andrej Nemec 2016-09-15 08:41:39 UTC
In ADODB 5.20.4, using the PDO driver results in qstr not behaving properly, leading to SQL injection. The same method called with the MySQLi driver works as expected.

Upstream bug:

https://github.com/ADOdb/ADOdb/issues/226

Upstream fix:

https://github.com/ADOdb/ADOdb/commit/bd9eca9f40220f9918ec3cc7ae9ef422b3e448b8

References:

http://seclists.org/oss-sec/2016/q3/435

Comment 1 Andrej Nemec 2016-09-15 08:42:11 UTC
Created php-adodb tracking bugs for this issue:

Affects: fedora-all [bug 1376366]
Affects: epel-all [bug 1376367]

Comment 2 Product Security DevOps Team 2019-06-08 02:58:39 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.